/**
 * output package name
 */
package com.kingdee.eas.custom.gggl;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DTypeEnum extends StringEnum
{
    public static final String GG_VALUE = "1";//alias=¹ã¸æ
    public static final String ZT_VALUE = "2";//alias=ÖÐÍ¥

    public static final DTypeEnum gg = new DTypeEnum("gg", GG_VALUE);
    public static final DTypeEnum zt = new DTypeEnum("zt", ZT_VALUE);

    /**
     * construct function
     * @param String dTypeEnum
     */
    private DTypeEnum(String name, String dTypeEnum)
    {
        super(name, dTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DTypeEnum getEnum(String dTypeEnum)
    {
        return (DTypeEnum)getEnum(DTypeEnum.class, dTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DTypeEnum.class);
    }
}